html{
padding: 0;
}
body{
    font-family: 'Cairo';
    position: relative;
    overflow-x: hidden;
    text-align: right;
}
a{
    text-decoration: none !important;
    cursor: pointer;
}
.btn{
    border-radius: 0;
    border: none;
}

/* raduis */
.radius-10{
    border-radius: 10px;
}
.radius-20{
    border-radius: 50px;
}
.radius-30{
    border-radius: 30px;
}
.radius-40{
    border-radius: 40px;
}
.radius-50{
    border-radius: 50px;
}
.bg-pri{
    background: #717fe0;
    transition:all ease-in-out .2s
}
.btn.bg-pri{
    transition:all ease-in-out .2s
}
.btn.bg-pri:hover{
    background-color:white;
    color:#717fe0 !important;
    border:thin solid #717fe0
}
.bg-grey{
    background: grey;
}
.text-pri{
    color: #717fe0;
}
.text-grey{
    color: grey;
}
.container-fluid{
    margin: 0;
    padding: 0
}
.top-nav{
    font-weight: 100;
background: #294b93 !important;
padding: 0;
line-height: 30px;
z-index: 2;
}
.top-nav ul{

    margin-block-end: 0 !important;
    list-style: none;
    display: flex;
    flex-direction: row;
    align-items: center;
    ;
}
.top-nav ul li{
 
    font-size: 14px;
  
}
.top-nav ul li a{
    color: white;
}
.brand{
    font-weight: bolder;
    color: #294b93;
    font-size: 20px;
}
#main-search{
top: -10px;
transition: top ease-in-out .2s;
position: relative;
display: none;
}
#main-search.active{
    display: flex;
top: 0;z-index: 555;}
.main-nav {
    margin: 0;
    height: 60px;
    line-height: 60px;


    
box-shadow: 0 0px 3px 0px rgba(0,0,0,0.2);
-moz-box-shadow: 0 0px 3px 0px rgba(0,0,0,0.2);
-webkit-box-shadow: 0 0px 3px 0px rgba(0,0,0,0.2);
-o-box-shadow: 0 0px 3px 0px rgba(0,0,0,0.2);
-ms-box-shadow: 0 0px 3px 0px rgba(0,0,0,0.2);
}
.main-nav ul{

    margin-block-end: 0 !important;
    list-style: none;
    display: flex;
    flex-direction: row;
    align-items: center;
    ;
}
.main-nav ul li{
    margin-left: 1rem;
    font-size: 14px;
}
.main-nav ul li.active a{
    color: #717fe0;
    font-weight: bold;
}
.main-nav ul li a{
    font-weight: medium;
    color: #333;
    font-weight: medium;
}
.nav-item.active .nav-link{
    color: #717fe0 !important;
    font-weight: medium;
}
.actions-nav{
    color: #333;
    font-weight: medium;
}
.top-nav .actions-nav li{
    padding-inline: 1.5rem;
    border-inline-start: thin solid white;
text-align: center;
}
.top-nav .actions-nav li:last-child{
    border-inline-end: thin solid white;
}
.actions-nav li a{
    text-align: center;
}
.actions-nav .fa{
    font-size: 20px;
}
.shopping-icon{
    position: relative;

}
#wish-icon{
    position: relative;
}

.bdg{
    padding: 5px;;
    background: #717fe0;
    color: white;
    border-radius:2px;
    position: absolute;
    top: -10px;
    right: -10px;
    line-height: 5px;
    font-size: 10px;
}
.f-light{
    font-weight: 100;
}

.f-bold{
    font-weight: bold;
}
.f-bolder{
    font-weight: bolder;
}
.f-xsmall{
    font-size: x-small;
}
.f-small{
    font-size: small;
}
.f-medium{
    font-size: medium;
}
.f-large{
    font-size: large;
}
.f-xlarge{
    font-size: xx-large;
}
.me-auto{
    margin-inline-start: auto;
}
.product-item{
    width: 100%;
}
.product-item .img-block{
height: 300px;
width: 100%;
overflow: hidden;
position: relative;
}
.product-item .img-block img{
    width: 100%;
    height: 100%;
    border-radius: 5px;
    filter: bleftness(90%);
    overflow: hidden;
    object-fit: cover;
    transition: all ease-in-out .3s;
}
.product-item .img-block .btn{
position: absolute;
bottom: -50px;
left: 50%;
transform: translate(-50%);
border-radius: 30px;
background: #717fe0;
color: white;
text-align: center;
transition: ease-in-out .5s all;
}
.product-item:hover img{
    filter: bleftness(80%);
    scale: 1.2;
}
.product-item:hover .btn{
bottom: 30px;
}
.product-item .name{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: baseline;
}
.product-item .name h5{
    color: #999;   
    font-size: 14px;
    line-height: 1.466667;

    width: 70%;
    text-overflow: ellipsis;
    padding-bottom: 0;
    margin: 0 !important;
    margin-top: 10px !important;
}
.product-item .price-section p{
    color: #294b93;   
    font-size: 17px;
    font-weight: 600;
    margin: 0 !important;
}
.product-item:hover  .price-section a{
    display: block;
    bottom: 0;
}
.product-item:hover  .price-section p{
    display: none;
}
.product-item .price-section a{
    color: #294b93;   
    font-size: 17px;
    font-weight: 600;
    margin: 0 !important;
    display: none;
   bottom: -10px;
   transition: bottom .2s ease-in-out
}

.cart-section{
    width: 400px;
    height: 100%;
    background: white;
    position: fixed;
    top: 0;
    left: -400px;
    transition: all ease-in-out .3s;
    z-index: 9999;
    display: flex;
    flex-direction: column;
    padding: 2rem;
}

.wish-section{
    width: 400px;
    height: 100%;
    background: white;
    position: fixed;
    top: 0;
    left: -400px;
    transition: all ease-in-out .3s;
    z-index: 9999;
    display: flex;
    flex-direction: column;
    padding: 2rem;
}
.overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;height: 100%;
    background: #3333332c;
    visibility: hidden;
    z-index: 99;
}
.overlay.active{
    visibility: visible;
}
.cart-section.active{
    left: 0;
}
#cart-list{
    max-height: 350px;
    overflow-x: hidden;
    overflow-y: scroll;
}
.wish-section.active{
    left: 0;
}
.cart-section  .cart-item{
display: flex;
flex-direction: row;
margin-top: 10px;
}
.wish-section  .wish-item{
    display: flex;
    flex-direction: row;
    margin-top: 10px;
    }

.cart-section #cart-options{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    visibility: hidden;
}

.wish-section #wish-options{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    visibility: hidden;
}
.cart-section #cart-options .btn{
    width: 45%;
    border-radius: 50px;

    color: white;
}
.wish-section #wish-options .btn{
    width: 100%;
    border-radius: 50px;

    color: white;
}
.cart-section  .cart-item .image_container {
width: 100px !important;
height: 100px;
position: relative;
}
.cart-section  .cart-item .image_container img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-radius: 5px;
}
.cart-section  .cart-item .image_container a{
    visibility: hidden;
    position: absolute;
    top: 50%;left: 50%;
    transform: translate(-50%,-50%);
    color: white;
    cursor: pointer;
}
.cart-section  .cart-item .image_container:hover img{
    filter: bleftness(80%);
}
.cart-section  .cart-item .image_container:hover a{
    visibility: visible;
    z-index: 5;
}
.cart-section  .cart-item div{
    margin-inline-start: 1rem;
}
.cart-section  .cart-item div h5{
    font-weight: medium;
    font-size: 16px;
    text-overflow: ellipsis;
    }
    .cart-section  .cart-item div p{
        font-weight: normal;
        }
        .cart-section  .cart-item .remove{
            font-weight: medium;
            margin-inline-start: auto;
            }




.wish-section  .wish-item .image_container {
    width: 80px;
    height: 100px;
    position: relative;
    }
            
.wish-section  .wish-item .image_container img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-radius: 5px;
}
.wish-section  .wish-item .image_container a{
    visibility: hidden;
    position: absolute;
    top: 50%;left: 50%;
    transform: translate(-50%,-50%);
    color: white;
    cursor: pointer;
}
.wish-section  .wish-item .image_container:hover img{
    filter: bleftness(80%);
}
.wish-section  .wish-item .image_container:hover a{
    visibility: visible;
    z-index: 5;
}
.wish-section  .wish-item div{
    margin-inline-start: 1rem;
}
.wish-section  .wish-item div h5{
    font-weight: medium;
    font-size: 16px;
    color: #294b93 !important;
    }
    .wish-section  .wish-item div p{
        font-weight: normal;
        color: grey !important;
        }
        .wish-section  .wish-item .remove{
            font-weight: medium;
            margin-inline-start: auto;
            }



#mobile-nav{
    position: fixed;
    top: 0;
    width: 400px;
    left: -400px;

    padding: 1.5rem;
    display: flex;
    flex-direction: column;
    background: white;
    height: 100%;
    transition: ease-in-out .3s all;
    z-index: 9999;
    text-align: center;
}
#mobile-nav.active{
    left: 0;
}
#mobile-nav ul{
    list-style: none;
    text-align: center;
}
#mobile-nav ul li{

    margin-top: 1rem;

}
#mobile-nav ul li a{
    color: #333;

    font-size: 20px;
}
#mobile-nav ul li.active a{
    color: #717fe0;
    font-weight: bold;
    font-size: 20px;
}
#mobile-nav-close{
    width: 50px;
    height: 50px;
    border: thin solid #717fe0;
    color: #717fe0;
    border-radius: 50%;
    line-height: 50px;
    text-align: center;
    display: block;
    margin-inline: auto;
    margin-top: 1rem;
}
#cart-nav-close{
    color: #717fe0;
    font-size: larger;
}
#wish-nav-close{
    color: #717fe0;
    font-size: larger;
}
#mobile-nav-close:hover{
    width: 50px;
    height: 50px;
    border: thin solid #717fe0;
    background: #717fe0;
    color: white;
    border-radius: 50%;
    line-height: 50px;
    text-align: center;
    display: block;
    margin-inline: auto;
}



.brands-section{
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: baseline;
    margin-top: 2rem;
}
.brands-section .brand-item{
    background: none;
    color: #999;
    margin-inline-end: 1.5rem;
    border: none;
    font-size: 14px;
    transition: all ease-in-out .3s;
    position: relative;
}
.brands-section .brand-item:hover{

    color: #717fe0;

}
.brands-section .brand-item::after{
    content: "";
    background: #717fe0;
    width: 0;
    height: 2px;
    position: absolute;
    bottom: -5px;
    left: 0;
    transition: all ease-in-out .3s;
}.brands-section .brand-item:hover::after{
    width: 100%;
}
.brands-section .brand-item.active::after{
    content: "";
    background: #717fe0;
    width: 100%;
    height: 2px;
    position: absolute;
    bottom: -5px;
    left: 0;
    transition: all ease-in-out .3s;
}
.search-brand.active{
    background: #717fe0;
    color: white;
    position: relative;
    margin-inline-end: auto;
    border: none;
    padding-inline: 10px;
    padding-block: 5px;
    transition: all ease-in-out .3s;
}
.search-brand{
    background: #999;
    color: white;
    position: relative;
    margin-inline-end: auto;
    border: none;
    padding-inline: 10px;
    padding-block: 5px;
    transition: all ease-in-out .3s;
}
.search-brand::after{
    content: "";
    width: 14px;height: 14px;background-color: #999;position: absolute;bottom: -7px;
    left: 50%;transform: translate(-50%) rotate(45deg);z-index: 5;
}
.search-brand.active::after{
    content: "";
    width: 14px;height: 14px;background-color: #717fe0;position: absolute;bottom: -7px;
    left: 50%;transform: translate(-50%) rotate(-45deg);z-index: 5;
}
.brands-section div{
    margin-inline-start: auto;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: baseline;
}
.brands-section input{
    width: 100%;
    border-radius: 0;
    
}
#brand-search{
    position: relative;
    bottom: -10px;
    transition: bottom ease-in-out .3s;
    visibility: hidden;
}
#brand-search.active{
    visibility: visible;
    bottom: 0;
}
.zoom-hide {
    transition: transform 0.3s ease-out, opacity 0.3s ease-out;
  }
  .zoom-hide.hidden {
    transform: scale(0.8); /* Adjust zoom level as needed */
    opacity: 0;
  }


  .fixed-nav {
    position: fixed;
    top: 60px;
    left: 0;
    width: 100%;
    z-index: 999; 
    background: white;
    transition: top 0.3s ease-in-out; 
  }
  
  /* Hide the navigation initially */
  .fixed-nav {
    top: -60px; /* Adjust this value based on your navigation height */
  }
  
  /* Show the navigation when scrolling down */
  .scrolled {
    top: 0;
  }


  
.social-links{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
footer .social-links{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
footer .social-links a{
    color: white;

}


footer ul{
    font-weight: bolder;
    list-style: none;
    color: white;
   }
   footer ul li a{
    font-weight: normal;
    color: white;
    transition: ease-in-out all .2s;
   }
   footer ul li a:hover{
    margin-left: 10px;
    color: white;
   }
   .btn-outline-pri{
    border:thin solid #717fe0;
    background: white;
    color: #717fe0;
}
.btn-outline-pri:hover{
    border:thin solid #717fe0;
    background: #717fe0;
    color: white;
}

@media only screen and (max-width: 480px) {
    .brands-section .brand-item{
     margin-inline-end: .5rem;
 
 }}